plugin_LTLIBRARIES = libgstducati.la

# headers we need but don't want installed
noinst_HEADERS = \
	gstducativc1dec.h \
	gstducatimpeg2dec.h \
	gstducatimpeg4dec.h \
	gstducatih264dec.h \
	gstducatijpegdec.h \
	gstducatividdec.h \
	gstducatih264enc.h \
	gstducatimpeg4enc.h \
	gstducatijpegenc.h \
	gstducatividenc.h \
	gstducatibufferpriv.h \
	gstducati.h

# sources used to compile this plug-in
libgstducati_la_SOURCES = \
	gstducativc1dec.c \
	gstducatimpeg2dec.c \
	gstducatimpeg4dec.c \
	gstducatih264dec.c \
	gstducatijpegdec.c \
	gstducatividdec.c \
	gstducatih264enc.c \
	gstducatimpeg4enc.c \
	gstducatijpegenc.c \
	gstducatividenc.c \
	gstducatibufferpriv.c \
	gstducati.c \
	$(noinst_HEADERS)


# compiler and linker flags used to compile this plugin, set in configure.ac
libgstducati_la_CFLAGS = \
	$(GST_CFLAGS) \
	$(LIBDCE_CFLAGS) \
        -Wno-unused-variable \
	-DGST_USE_UNSTABLE_API

libgstducati_la_LIBADD = \
	$(GST_LIBS) \
	$(LIBDCE_LIBS) \
	-lgstdrm-1.0 \
	-lgstvideo-1.0

#-lgstbasevideo-1.0

libgstducati_la_LDFLAGS = \
	$(GST_PLUGIN_LDFLAGS) \
	$(GST_ALL_LDFLAGS) \
	--no-undefined

libgstducati_la_LIBTOOLFLAGS = --tag=disable-static

